---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: pdm-api
  namespace: documentations
spec:
  replicas: 3
  template:
    spec:
      containers:
      - name: pdm-api
        image: cr.yandex/crp3ccidau046kdj8g9q/pdmv2:prod_542e5343
        env:
        - name: OBSERVABILITY_COLLECTOR_ENDPOINT
          value: temp
        - name: USE_SUBSCRIPTIONS
          value: 'false'
        - name: RELEASES_URL
          value: https://gitlab.com
        - name: APP_NAME
          value: pdm_v2
        - name: APP_VERSION
          value: 0.0.1
        - name: LOG_LEVEL
          value: INFO
        - name: HTTP_PORT
          value: '8080'
        - name: POSTGRES_ADDRESS
          value: postgres-service.documentations.svc.cluster.local
        - name: POSTGRES_PORT
          value: '5432'
        - name: POSTGRES_DB
          value: documentations
        - name: POSTGRES_POOL_SIZE
          value: '20'
        - name: API_ADDRESS
          value: 0.0.0.0:8080
        - name: API_ADDRESS_FILE
          value: 0.0.0.0:8080
        - name: ENABLE_OBSERVABILITY
          value: 'false'
        - name: ENABLE_SSL
          value: '0'
        - name: ENABLE_S3
          value: '1'
        - name: DOCUMENTATION_URL
          value: http://documentations-service.documentations.svc.cluster.local:8080/
        - name: WORKFLOW_URL
          value: http://workflows-service.workflow.svc.cluster.local:8000/
        - name: WORKSPACE_URL
          value: http://workspaces-service.workspaces.svc.cluster.local:8000
        - name: BIM_API_V2_URL
          value: http://backend-service.bim.svc.cluster.local:8000/
        - name: BIM_V2_HOST
          value: http://backend-service.bim.svc.cluster.local:8000/
        - name: WORKSPACE_BUNDLE_VERSION
          value: v1
        - name: DJANGO_HOST
          value: http://backend.django.svc.cluster.local:8000
        - name: NAMESPACE
          value: documentations
        - name: DJANGO_ORIGINATOR
          value: docs_prod
        - name: FLOWS_URL
          value: http://backend-service.flows.svc.cluster.local:8000
        - name: RESOURCES_URL
          value: http://resources-service.resources.svc.cluster.local:8000
        - name: REMARKS_URL
          value: http://remarks-static-service.remarks.svc.cluster.local:8080/remarks
        - name: ATTACHMENTS_URL
          value: http://attachments-service.attachments.svc.cluster.local:80
        - name: WORKFLOW_IMAGES_VERSION
          value: master
        - name: WORKFLOWS_IMAGES_VERSION
          value: master
        - name: WORKFLOWS_IMAGES_VERSION
          value: master
        - name: INSPECTIONS_URL
          value: http://inspections-service.inspections
        - name: STATES_URL
          value: http://workspaces-service.workspaces.svc.cluster.local:8000/
        - name: WIDTH_THUMB_STATES
          value: '120'
        - name: HEIGHT_THUMB_STATES
          value: '73'
        - name: WIDTH_THUMB_ATTACHMENTS
          value: '300'
        - name: HEIGHT_THUMB_ATTACHMENTS
          value: '300'
        - name: ENABLE_PERMISSIONS_FILTER
          value: '1'
        - name: PERMISSIONS_FILTER_COMPANIES
          value: '[1, 2, 3, 4, 5, 6, 7, 8, 9, 10]'
        - name: SUBSCRIPTIONS_URL
          value: http://sarex-subscriptions-service.subscriptions
        - name: SYSTEM_LOG_URL
          value: http://api-service.system-log.svc.cluster.local:8000
        - name: API_HOST_PREFIX
          value: /gateway
        - name: TARGET_URL
          value: http://backend.django.svc.cluster.local:8000
        - name: EAV_URL
          value: http://eav-service.eav.svc.cluster.local:8000
        - name: NOTES_URL
          value: http://backend-service.notes.svc.cluster.local:8000
        - name: S3_SERVICE_ACCOUNT
          value: /etc/sarex/yc-s3-storage/yc-s3-service-account.json
        - name: READ_WRITE_TIMEOUT_FILE_STREAM
          value: 6h
        - name: CACHE_DEFAULT_EXPIRATION
          value: 60s
        - name: CACHE_CLEANUP_INTERVAL
          value: 60s
        - name: USE_CACHE_IN_FILE_STREAMER
          value: '1'
        - name: ENVIRONMENT
          value: prod
        - name: TRANSMITTALS_BASE_URL
          value: http://transmittal-service.transmittals.svc.cluster.local:80
